package cn.dankal.test.cloud.consumer.input;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.messaging.SubscribableChannel;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-02-01
 */
public interface DankalMessageInput {

    /***
     *  input name
     */
    String INPUT_NAME = "kafka-dankal-message-input";

    /**
     * 订阅 Kafka 管道消息
     *
     * @return SubscribableChannel
     */
    @Input(INPUT_NAME)
    SubscribableChannel dankalMessageInputChannel();
}
