package cn.dankal.test.cloud.producer;

import cn.dankal.test.cloud.producer.output.KafkaDankalMessageOutput;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.stream.annotation.EnableBinding;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-01-30
 */
@SpringBootApplication
@EnableBinding({KafkaDankalMessageOutput.class})
public class SpringCloudStreamKafkaProducerApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpringCloudStreamKafkaProducerApplication.class, args);
    }
}
